<!DOCTYPE HTML>
<html>
<head>
  <meta charset="UTF-8">
  <title>Fibonacci Fracas!</title>
  <style>body { padding: 0; margin: 0; }</style>
  <script type="text/javascript" src="elm.js"></script>
</head>

<body>
  <div id="app"></div>
</body>

<script type="text/javascript">
  var storedData = localStorage.getItem('fibonacciFracas');
  var app = Elm.Main.init({
    node: document.getElementById('app'),
    flags: storedData ? JSON.parse(storedData) : null,
  });

  app.ports.setStorage.subscribe(function(model) {
    localStorage.setItem('fibonacciFracas', JSON.stringify(model));
  });
</script>
